# Class SplitSystem

java.lang.Object
jebl.evolution.trees.SplitSystem

public class SplitSystem extends Object
data structure for a set of splits

Version:
  $Id: SplitSystem.java 317 2006-05-03 23:42:12Z alexeidrummond $
Author:
  Korbinian Strimmer

## Constructor Summary

Constructors
Constructor
Description
`SplitSystem(Collection<Taxon> taxa, int size)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLabelCount()`
get number of labels
`boolean[]`
`getSplit(int i)`
get split
`int`
`getSplitCount()`
get number of splits
`boolean[][]`
`getSplitVector()`
get split vector
`List<Taxon>`
`getTaxa()`
get taxon list
`boolean`
`hasSplit(boolean[] split)`
+ test whether a split is contained in this split system (assuming the same leaf order)
`String`
`toString()`
print split system

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SplitSystem

public SplitSystem(Collection<Taxon> taxa, int size)

Parameters:
  `taxa` - the list of taxa
  `size` - number of splits

## Method Details

### getSplitCount

public int getSplitCount()
get number of splits

### getLabelCount

public int getLabelCount()
get number of labels

### getSplitVector

public boolean[][] getSplitVector()
get split vector

### getSplit

public boolean[] getSplit(int i)
get split

### getTaxa

public List<Taxon> getTaxa()
get taxon list

### hasSplit

public boolean hasSplit(boolean[] split)
+ test whether a split is contained in this split system (assuming the same leaf order)

Parameters:
  `split` - split

### toString

public String toString()
print split system

Overrides:
  `toString` in class `Object`